Subject: Re: bug#21380: 25.0.50; GTK-induced segfault when scheduling timer from window-configuration-change-hook

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Sep 2015 19:01:08 +0300

> Date: Tue, 1 Sep 2015 15:22:58 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked]
> 
>     Or am I missing something? I thought you
>     intended to recalculate the length on each iteration?
> 
> If you can think of a good way of doing that, I'd be grateful. I can't, because
> Flength calls QUIT, too, so there's no guarantee its results are still valid
> when it's done.
> 
> All we could do, as far as I can see, is add an extra call to Flength() which
> will slow things down and sometimes but not always make the risky thing the
> user is attempting work. Other than that, a non-segfault with an incorrect
> result is all we can give the user, I fear.

So maybe we should introduce a special copy_sequence_no_quit function
that never calls QUIT, and then use it for copying the timer lists.
Timer lists are never too long, so that shouldn't be a problem.